<template lang="pug">
.home
  .home__loading(v-if="!isHomeReady")
  .home__content(v-show="isHomeReady")
    .container-fulid
      home-banner(ref="banner")
    .container.my-5
      home-recommend(ref="recommend")

</template>

<script>
import HomeBanner from '~/components/pages/home/banner'
import HomeRecommend from '~/components/pages/home/recommend'

export default {
  components: {
    HomeBanner,
    HomeRecommend
  },
  data() {
    return  {
      isHomeReady: false
    }
  },
  mounted() {
    document.addEventListener('scroll', this.scrollTracker)

    this.$nextTick(() => {
      setTimeout(() => {
        this.isHomeReady = true
        this.offset = Math.round((window.innerHeight * 2) / 3)
        this.$refs.banner.onAir()
      }, 500)
    })
  },

  beforeDestroy() {
    this.isHomeReady = true
    document.removeEventListener('scroll', this.scrollTracker)
  },

  methods: {
    scrollTracker() {
      // this.scrollTop = document.querySelector('html').scrollTop
      if (
        this.offset >
        Math.round(
          document
            .querySelector(`.${this.$refs.recommend.$el.className}`)
            .getBoundingClientRect().top
        )
      ) {
        this.$refs.recommend.onAir()
      }

    }
  }


}
</script>

<style lang="scss" scoped>
.home {
  min-height: 100vh;
}
</style>